Maton

Create Connection

POST/connections

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST \  "https://api.maton.ai/connections" \  -H "Authorization: Bearer $MATON_API_KEY" \  -H "Content-Type: application/json" \  -d '{"app": "slack"}'
{
  "connection_id": "5d0c1f8e-3a2b-4c6d-8e9f-0a1b2c3d4e5f"
}
{
  "message": "Invalid app name.",
  "type": "Bad Request",
  "code": 400
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}